Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class ObjectElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.ObjectElement

public class ObjectElement
extends SinglePartElement

An ObjectElement, introduced in HTML 4.0, provides a generic method for including various resources in a document, including images, applets, files, and image maps.

ObjectElements may be nested; that is, the contents of an ObjectElement may be another ObjectElement. If the user agent cannot render the outermost ObjectElement, it tries to render the contents of the ObjectElement, which may be a string (like the ALT tag in previous versions of HTML) or another ObjectElement.

Initialization parameters for an ObjectElement are provided with ParamElements.

Other attributes valid for an ObjectElement that can be set with methods from the superclass are: style, mouse and keyboard actions.

Note that not all browsers may parse the ObjectElement properly.

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `ParamElement`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`ObjectElement()` Deprecated.

Method Summary
`ObjectElement` | `addParam(ParamElement pe)` Deprecated. Adds a ParamElement to an ObjectElement.
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printCR()` Deprecated.
`ObjectElement` | `setClassid(java.lang.String url)` Deprecated. Sets the CLASSID, or the URL for the rendering mechanism.
`ObjectElement` | `setCodebase(java.lang.String url)` Deprecated. Sets the CODEBASE, which specifies the base path used to resolve relative URLs described by the CLASSID attribute.
`ObjectElement` | `setCodetype(MimeType mt)` Deprecated. Sets the CODETYPE to a MimeType, which specifies the Internet Media Type of the data that should be expected by the rendering mechanism specified by the CLASSID attribute.
`ObjectElement` | `setContent(ObjectElement oe)` Deprecated. Sets the contents of an ObjectElement to another ObjectElement.
`ObjectElement` | `setContent(java.lang.String alt)` Deprecated. Sets the contents of an ObjectElement to a string.
`ObjectElement` | `setData(java.lang.String url)` Deprecated. Sets the DATA attribute, which specifies the source of the object itself.
`ObjectElement` | `setDeclare(boolean dec)` Deprecated. Sets the DECLARE attribute.
`ObjectElement` | `setName(java.lang.String oname)` Deprecated. Sets a name for an ObjectElement used as part of a FormElement.
`ObjectElement` | `setStandby(java.lang.String msg)` Deprecated. Sets a text messages that a browser may render while loading the object's implementation and data.
`ObjectElement` | `setTabindex(int tabindex)` Deprecated. Sets the tabbing order for an ObjectElement, which defines the order in which page elements get the focus when a user navigates the page with a keyboard.
`ObjectElement` | `setType(MimeType mt)` Deprecated. Sets the TYPE attribute, which specifies the Internet Media Type as a MimeType for the object specified in the DATA attribute.

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectElement

    public ObjectElement()

  Deprecated.

Method Detail

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### setContent

    public ObjectElement setContent(java.lang.String alt)

  Deprecated.
  Sets the contents of an ObjectElement to a string.

  Returns:
    ObjectElement

### setContent

    public ObjectElement setContent(ObjectElement oe)

  Deprecated.
  Sets the contents of an ObjectElement to another ObjectElement.

  Returns:
    ObjectElement

### addParam

    public ObjectElement addParam(ParamElement pe)

  Deprecated.
  Adds a ParamElement to an ObjectElement.

### setCodebase

    public ObjectElement setCodebase(java.lang.String url)

  Deprecated.
  Sets the CODEBASE, which specifies the base path used to resolve relative URLs described by the CLASSID attribute.

  Returns:
    ObjectElement

### setClassid

    public ObjectElement setClassid(java.lang.String url)

  Deprecated.
  Sets the CLASSID, or the URL for the rendering mechanism. The HTML spec recommends that CODETYPE is also set whenever CLASSID is specified since it allows the user agent to avoid loading information for unsupported media types.

  Returns:
    ObjectElement
  See Also:
    `setCodetype(weblogic.html.MimeType)`

### setCodetype

    public ObjectElement setCodetype(MimeType mt)

  Deprecated.
  Sets the CODETYPE to a MimeType, which specifies the Internet Media Type of the data that should be expected by the rendering mechanism specified by the CLASSID attribute. It is optional but recommended whenever CLASSID is used since it allows the user agent to avoid loading information for unsupported media types. If no explicit value is given for this attribute, it defaults to the value set with `setType`.

  Parameters:
    `mime` - MimeType
  Returns:
    ObjectElement
  See Also:
    `setClassid(java.lang.String)`

### setData

    public ObjectElement setData(java.lang.String url)

  Deprecated.
  Sets the DATA attribute, which specifies the source of the object itself. It may be an absolute or a relative URL.

### setTabindex

    public ObjectElement setTabindex(int tabindex)

  Deprecated.
  Sets the tabbing order for an ObjectElement, which defines the order in which page elements get the focus when a user navigates the page with a keyboard. This may be a positive or negative integer. Elements that are assigned the same tab index will be navigated in order of appearance on the page.

  Parameters:
    `tabindex` - int
  Returns:
    ObjectElement

### setType

    public ObjectElement setType(MimeType mt)

  Deprecated.
  Sets the TYPE attribute, which specifies the Internet Media Type as a MimeType for the object specified in the DATA attribute. The TYPE attribute is optional but recommended since it allows the user agent to avoid loading information for unsupported media types.

  Parameters:
    `mt` - MimeType
  Returns:
    ObjectElement

### setDeclare

    public ObjectElement setDeclare(boolean dec)

  Deprecated.
  Sets the DECLARE attribute. When this boolean attribute is set, it makes this ObjectElement only the declaration for another subsequent ObjectElement that actually instantiates the object referred to in the declaration.

### setStandby

    public ObjectElement setStandby(java.lang.String msg)

  Deprecated.
  Sets a text messages that a browser may render while loading the object's implementation and data.

  Parameters:
    `msg` - Message
  Returns:
    ObjectElement

### setName

    public ObjectElement setName(java.lang.String oname)

  Deprecated.
  Sets a name for an ObjectElement used as part of a FormElement.

  Parameters:
    `oname` - Name for object
  Returns:
    ObjectElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD